<template>
  <view class="page__view">

		<navbar title="常见问题" leftClick @leftClick="$utils.navigateBack" />

    <view class="main">
      <view class="title">{{ commonQuestion.question }}</view>
      <view class="content">
  			<uv-parse :content="commonQuestion.answer"></uv-parse>
      </view>
    </view>

  </view>
</template>

<script>
	import { mapState } from 'vuex'

  export default {
    data() {
      return {
        detail: {},
      }
    },
    computed: {
			...mapState(['commonQuestion']),
    },
    onLoad(arg) {
      const { id } = arg
      this.getData(id)
    },
    methods: {
      async getData(id) {
        // todo: fetch by id
      },
    },
  }
</script>

<style scoped lang="scss">
  .main {
    padding: 39rpx 30rpx;
  }

  .title {
    text-align: center;
    font-size: 30rpx;
    font-weight: 600;
    color: #000000;
  }

  .content {
    margin-top: 50rpx;
  }
</style>